bitmap_parse_user
Prev | Bitmap Operations | Next

## Name

bitmap_parse_user —

## Synopsis

`int bitmap_parse_user (` | const char __user * | ubuf,
| unsigned int | ulen,
| unsigned long * | maskp,
| int | nmaskbits`)`;

## Arguments

`ubuf`

  pointer to user buffer containing string.

`ulen`

  buffer size in bytes. If string is smaller than this then it must be terminated with a \0.

`maskp`

  pointer to bitmap array that will contain result.

`nmaskbits`

  size of bitmap, in bits.

## Description

Wrapper for `__bitmap_parse`, providing it with user buffer.

We cannot have this as an inline function in bitmap.h because it needs linux/uaccess.h to get the `access_ok` declaration and this causes cyclic dependencies.

## Description

Wrapper for `__bitmap_parse`, providing it with user buffer.

We cannot have this as an inline function in bitmap.h because it needs linux/uaccess.h to get the `access_ok` declaration and this causes cyclic dependencies.

Prev | Up | Next
__bitmap_parse | Home | bitmap_scnlistprintf